header,
nav,
.breadcrumb,
article,
aside,
footer {
  background-color: chartreuse;
}

body {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: repeat(7, auto);
  gap: 20px;
  height: 100vh
}

nav {
  grid-column: 2 / 7;
}

.breadcrumb {
  grid-column: 1 / -1;
}

main {
  grid-column: 1 / 5;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, auto);
  gap: 20px;
}

aside {
  grid-column: 5 / -1;
}

footer {
  grid-column: 1 / -1;
}